import { ComponentPropsWithoutRef } from 'react';
interface ISvg extends ComponentPropsWithoutRef<'svg'> {
}
export declare const BookmarkCheckFill: ({ ...rest }: ISvg) => JSX.Element;
export declare const CameraVideoFill: ({ ...rest }: ISvg) => JSX.Element;
export declare const CameraVideoFillSlash: ({ ...rest }: ISvg) => JSX.Element;
export declare const CaretDownFill: ({ ...rest }: ISvg) => JSX.Element;
export declare const Eye: ({ ...rest }: ISvg) => JSX.Element;
export declare const EyeFill: ({ ...rest }: ISvg) => JSX.Element;
export declare const Film: ({ ...rest }: ISvg) => JSX.Element;
export declare const Image: ({ ...rest }: ISvg) => JSX.Element;
export declare const List: ({ ...rest }: ISvg) => JSX.Element;
export declare const MagnifyingGlass: ({ ...rest }: ISvg) => JSX.Element;
export declare const PersonCircle: ({ ...rest }: ISvg) => JSX.Element;
export declare const ThumbDown: ({ ...rest }: ISvg) => JSX.Element;
export declare const ThumbDownFill: ({ ...rest }: ISvg) => JSX.Element;
export declare const ThumbUp: ({ ...rest }: ISvg) => JSX.Element;
export declare const ThumbUpFill: ({ ...rest }: ISvg) => JSX.Element;
export declare enum KnownIcon {
    BookmarkCheckFill = 0,
    CameraVideoFill = 1,
    CameraVideoFillSlash = 2,
    CaretDownFill = 3,
    Eye = 4,
    EyeFill = 5,
    Film = 6,
    Image = 7,
    List = 8,
    MagnifyingGlass = 9,
    PersonCircle = 10,
    ThumbDown = 11,
    ThumbDownFill = 12,
    ThumbUp = 13,
    ThumbUpFill = 14
}
interface IIcon extends ComponentPropsWithoutRef<'svg'> {
    knownIcon: KnownIcon;
}
export declare const Icon: ({ knownIcon, ...rest }: IIcon) => JSX.Element;
export {};
